Module javafx.controls
Package javafx.scene.control.skin

# Class ProgressIndicatorSkin

java.lang.Object
javafx.scene.control.SkinBase<ProgressIndicator>
javafx.scene.control.skin.ProgressIndicatorSkin

All Implemented Interfaces:
  `Skin<ProgressIndicator>`

Direct Known Subclasses:
  `ProgressBarSkin`

public class ProgressIndicatorSkin extends SkinBase<ProgressIndicator>
Default skin implementation for the `ProgressIndicator` control.

Since:
  9
See Also:
  - `ProgressIndicator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProgressIndicatorSkin(ProgressIndicator control)`
  Creates a new ProgressIndicatorSkin instance, installing the necessary child nodes into the Control `children` list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<CssMetaData<? extends Styleable,?>>`
  `getClassCssMetaData()`
  Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getCssMetaData, getNode, getSkinnable, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `install`

- ## Constructor Details

  - ### ProgressIndicatorSkin

    public ProgressIndicatorSkin(ProgressIndicator control)
    Creates a new ProgressIndicatorSkin instance, installing the necessary child nodes into the Control `children` list.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable,?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses